Bug 622933 - Banshee about to grow new dependencies
Banshee about to grow new dependencies
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: banshee (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Christian Krause
Fedora Extras Quality Assurance
:
Depends On: 630181
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-10 16:19 EDT by David Nielsen
Modified: 2010-10-10 20:26 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-10 20:26:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Nielsen 2010-08-10 16:19:42 EDT
Just a little heads up, the gio-hardware branch is about to be merged into master and thus become part of the next stable Banshee release.

This will bring with it all the iPod/iPhone support libgpod has and (hopefully) fix a bunch of bugs.

It might be bumpy so it would be helpful if you could arrange a daily or at least frequent build of Banshee master we can point Fedora users to for testing issues. Similar to what the Banshee daily PPA for Ubuntu does (or the similar OBS channel for openSUSE users).

Anyways soon at these will be required for certain functionality:

gio-sharp
http://git.gitorious.org/gio-sharp/mainline.git

gudev-sharp
git://gitorious.org/gudev-sharp/gudev-sharp.git

gkeyfile-sharp
git://gitorious.org/gkeyfile-sharp/gkeyfile-sharp.git

gtk-sharp-beans
http://git.gitorious.org/gtk-sharp-beans/mainline.git

libgpod (mono bindings)
git://gtkpod.git.sourceforge.net/gitroot/gtkpod/libgpod
Comment 1 Christian Krause 2010-08-14 11:40:34 EDT
(In reply to comment #0)

> libgpod (mono bindings)
> git://gtkpod.git.sourceforge.net/gitroot/gtkpod/libgpod

Will this package obsolete podsleuth?
Comment 2 David Nielsen 2010-08-14 12:55:21 EDT
podsleuth and the new apple device support can both still be built but passing --disable-hal will build only the gio-hardware extensions which I believe is the recommended route.
Comment 3 David Nielsen 2010-09-17 13:59:44 EDT
The git repos have moved to github for consolidation purposes however most importantly gio-sharp has just minutes ago gotten a very important memory leak fix which it is highly recommended that you ship.

http://banshee.fm/download/development/
Comment 4 Nathaniel McCallum 2010-10-10 20:26:48 EDT
David, this is fixed in F14.  Can you make sure to let us know if/when some of these deps get merged into Gtk# 3.0.

Note You need to log in before you can comment on or make changes to this bug.